Package org.apache.solr.client.solrj.impl

# Class LBSolrClient.Req

java.lang.Object
org.apache.solr.client.solrj.impl.LBSolrClient.Req

Enclosing class:
  `LBSolrClient`

public static class LBSolrClient.Req extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<LBSolrClient.Endpoint>`
`endpoints`
`protected int`
`numDeadServersToTry`
`protected SolrRequest<?>`
`request`

## Constructor Summary

Constructors
Constructor
Description
`Req(SolrRequest<?> request, Collection<LBSolrClient.Endpoint> endpoints)`
`Req(SolrRequest<?> request, Collection<LBSolrClient.Endpoint> endpoints, Integer numServersToTry)`

## Method Summary

Modifier and Type
Method
Description
`List<LBSolrClient.Endpoint>`
`getEndpoints()`
`int`
`getNumDeadServersToTry()`
`Integer`
`getNumServersToTry()`
`SolrRequest<?>`
`getRequest()`
`void`
`setNumDeadServersToTry(int numDeadServersToTry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### request

protected SolrRequest<?> request

### endpoints

protected List<LBSolrClient.Endpoint> endpoints

### numDeadServersToTry

protected int numDeadServersToTry

## Constructor Details

### Req

public Req(SolrRequest<?> request, Collection<LBSolrClient.Endpoint> endpoints)

### Req

public Req(SolrRequest<?> request, Collection<LBSolrClient.Endpoint> endpoints, Integer numServersToTry)

## Method Details

### getRequest

public SolrRequest<?> getRequest()

### getEndpoints

public List<LBSolrClient.Endpoint> getEndpoints()

### getNumDeadServersToTry

public int getNumDeadServersToTry()

Returns:
  the number of dead servers to try if there are no live servers left

### setNumDeadServersToTry

public void setNumDeadServersToTry(int numDeadServersToTry)

Parameters:
  `numDeadServersToTry` - The number of dead servers to try if there are no live servers left. Defaults to the number of servers in this request.

### getNumServersToTry

public Integer getNumServersToTry()